get
/api/v2/content-gap/statsReturn content gap stats.
Return content gap stats.
Requires bearer API key
Parameters
X-Project-Id
header
Required for organization-wide API keys on project-scoped endpoints. Project-scoped keys infer the project automatically.
Schema: string
Responses
200
Successful JSON response.
application/json{
"type": "object",
"additionalProperties": false,
"properties": {
"totalPromptsWithCoverage": {
"type": "integer"
},
"totalPromptsWithoutCoverage": {
"type": "integer"
},
"averageCoverageScore": {
"type": "number",
"nullable": true
},
"distribution": {
"type": "object",
"additionalProperties": false,
"properties": {
"low": {
"type": "integer"
},
"medium": {
"type": "integer"
},
"good": {
"type": "integer"
},
"excellent": {
"type": "integer"
}
},
"required": [
"low",
"medium",
"good",
"excellent"
]
},
"byPromptType": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"category": {
"type": "string"
},
"averageScore": {
"type": "number",
"nullable": true
},
"count": {
"type": "integer"
},
"totalPrompts": {
"type": "integer"
}
},
"required": [
"category",
"averageScore",
"count",
"totalPrompts"
]
}
},
"byIntentType": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"category": {
"type": "string"
},
"averageScore": {
"type": "number",
"nullable": true
},
"count": {
"type": "integer"
},
"totalPrompts": {
"type": "integer"
}
},
"required": [
"category",
"averageScore",
"count",
"totalPrompts"
]
}
}
},
"required": [
"totalPromptsWithCoverage",
"totalPromptsWithoutCoverage",
"averageCoverageScore",
"distribution",
"byPromptType",
"byIntentType"
]
}Try it
Send this request to the local WatchLLM REST handler. Use a key from `/workspace/api`; organization keys can include `X-Project-Id` only when the endpoint documents that header.